# Raumplaner.py

from grafikfenster import *

from stuhl import *
from tisch import *
from ueberschreibtNicht import UeberschreibtNicht

### ---------------------------------------------------
class RaumplanerApp(wx.App):
    """Testanwendung fuer Raumplaner-Grafik
       ShellFrame: Interaktion mit laufender Anwendung
       FillingFrame: Anzeige der Umgebung"""
    def OnInit(self):
        self.fenster = GrafikFenster(None, "Raumplaner-Grafik")
        self.SetTopWindow(self.fenster)
        self.fenster.Show(True)
        self.fenster.panel.Refresh()
        self.fenster.ZeigeShellFrame()
        #self.fenster.ZeigeFillingFrame()
        self.TestAnwendung()
        return True

    def TestAnwendung(self):
        """Allein fuer die Testanwendung:"""
        global tisch, stuhl
        print('global tisch, stuhl')
        tisch=Tisch(70, 30, 120, 60, 0, 'red', True)
        stuhl=Stuhl(20, 40, 40, 40, 270, 'blue', True)
        try:
            moebel = Moebel(sichtbar=True)
        except Exception as e:
            print( str(e) )
        try:
            ueberschreibtNicht=UeberschreibtNicht(70, 30, 120, 60, 0, 'red', True)
        except TypeError as e:
            print( str(e) )

### ---------------------------------------------------
if __name__ == '__main__':
    app = RaumplanerApp(redirect=False)
    # Parameterwert True, wenn Ausgaben in der Standard E/A angezeigt werden sollen
    app.MainLoop()
